Name:           python-PyMySQL
Version:        0.9.2
Release:        3
Summary:        Pure Python MySQL Client
License:        MIT
URL:            https://pypi.python.org/pypi/PyMySQL/
Source0:        https://files.pythonhosted.org/packages/source/P/PyMySQL/PyMySQL-%{version}.tar.gz

BuildRequires:  python2-cryptography python2-devel python2-setuptools
BuildRequires:  python3-cryptography python3-devel python3-setuptools

BuildArch:      noarch

%description
This package contains a pure-Python MySQL client library, based on PEP 249.
Most public APIs are compatible with mysqlclient and MySQLdb.

NOTE: PyMySQL doesn't support low level APIs _mysql provides like data_seek,
store_result, and use_result. You should use high level APIs defined in PEP 249.
But some APIs like autocommit and ping are supported because PEP 249 doesn't
cover their usecase.

%package -n python2-PyMySQL
Summary:  Pure Python2 MySQL Client
Requires: python2-cryptography
%{?python_provide:%python_provide python2-PyMySQL}

%description -n python2-PyMySQL
This package contains a pure-Python MySQL client library, based on PEP 249.
Most public APIs are compatible with mysqlclient and MySQLdb.

%package -n python3-PyMySQL
Summary:  Pure Python3 MySQL client
Requires: python3-cryptography
%{?python_provide:%python_provide python3-PyMySQL}

%description -n python3-PyMySQL
This package contains a pure-Python MySQL client library, based on PEP 249.
Most public APIs are compatible with mysqlclient and MySQLdb.


%prep
%autosetup -n PyMySQL-%{version} -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install


%files -n python2-PyMySQL
%doc README.rst
%license LICENSE
%{python2_sitelib}/*

%files -n python3-PyMySQL
%doc README.rst
%license LICENSE
%{python3_sitelib}/*


%changelog
* Fri Feb 14 2020 hy-euler <eulerstoragemt@huawei.com> - 0.9.2-3
- Package Initialization
